package cn.com.infosec.asn1.oiw;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERInteger;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERSequence;
import java.math.BigInteger;
import java.util.Enumeration;

public class ElGamalParameter extends ASN1Encodable {
   DERInteger p;
   DERInteger g;

   public ElGamalParameter(BigInteger p, BigInteger g) {
      ElGamalParameter var10000 = this;
      ElGamalParameter var10001 = this;
      super();
      DERInteger var3;
      var3 = new DERInteger.<init>(p);
      var10001.p = var3;
      var3 = new DERInteger.<init>(g);
      var10000.g = var3;
   }

   public ElGamalParameter(ASN1Sequence seq) {
      ElGamalParameter var10000 = this;
      super();
      Enumeration var2;
      this.p = (DERInteger)(var2 = seq.getObjects()).nextElement();
      var10000.g = (DERInteger)var2.nextElement();
   }

   public BigInteger getP() {
      return this.p.getPositiveValue();
   }

   public BigInteger getG() {
      return this.g.getPositiveValue();
   }

   public DERObject toASN1Object() {
      ASN1EncodableVector var1;
      ASN1EncodableVector var10000 = var1 = new ASN1EncodableVector;
      var1.<init>();
      var1.add(this.p);
      var10000.add(this.g);
      return new DERSequence(var1);
   }
}
